/* dpb.h - C declarations for the CP/M disk parameter block */

struct dpb {			/* CP/M DPB entry	*/
	uns spt		/* records per track		*/;
	char bsh	/* block shift			*/;
	char blm	/* block mask			*/;
	char exm	/* logical extent vs. physical	*/;
	uns dsm		/* highest block #		*/;
	uns drm		/* highest directory #		*/;
	uns alv		/* bits reserving directory blocks */;
	uns cks		/* size of check vector in bytes */;
	uns off		/* number of reserved tracks 	*/;
	};

#define DPB_SIZE sizeof(struct dpb)
